/*=========================================================================

  Program:   CMake - Cross-Platform Makefile Generator
  Module:    $RCSfile: cmCPackTarXZGenerator.h,v $
  Language:  C++
  Date:      $Date: 2007-02-02 19:40:26 $
  Version:   $Revision: 1.2 $

  Copyright (c) 2002 Kitware, Inc. All rights reserved.
  See Copyright.txt or http://www.cmake.org/HTML/Copyright.html for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notices for more information.

=========================================================================*/

#ifndef cmCPackTarXZGenerator_h
#define cmCPackTarXZGenerator_h

#include "cmCPackTGZGenerator.h"

/** \class cmCPackTarXZGenerator
 * \brief A generator for TarXZ files
 */
class cmCPackTarXZGenerator : public cmCPackTGZGenerator
{
public:
  friend class cmCPackTarXZGeneratorForward;
  cmCPackTypeMacro(cmCPackTarXZGenerator, cmCPackTGZGenerator);

  /**
   * Construct generator
   */
  cmCPackTarXZGenerator();
  virtual ~cmCPackTarXZGenerator();

protected:
  virtual int InitializeInternal();
  int CompressFiles(const char* outFileName, const char* toplevel,
    const std::vector<std::string>& files);
  virtual const char* GetOutputExtension() { return ".tar.xz"; }
  int XZFile(const char* filename);
  int RenameFile(const char* oldname, const char* newname);
};

#endif
